﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected DataTable populateWebDropDown()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID");
        dt.Columns.Add("Name");

        DataColumn[] col = new DataColumn[1];
        col[0] = dt.Columns["ID"];
        dt.PrimaryKey = col;

        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebDropDown1.DataSource = populateWebDropDown();
        this.WebDropDown1.ValueField = "ID";
        this.WebDropDown1.TextField = "Name";
        this.WebDropDown1.DataBind();
       

    }
}